> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Bank Account Look Up

> Resolve your customer's bank account information



## OpenAPI

````yaml Flutterwave_v4_Open_API.json post /banks/account-resolve
openapi: 3.1.0
info:
  version: '1.0'
  title: Flutterwave APIs
  description: APIs for Enterprise Customers
  contact:
    name: Flutterwave
    email: hi@flutterwavego.com
servers:
  - url: https://developersandbox-api.flutterwave.com
    description: Dev server
security:
  - bearerAuth: []
paths:
  /banks/account-resolve:
    post:
      tags:
        - Banks
      summary: Bank Account Look Up
      description: Resolve your customer's bank account information
      operationId: bank_account_resolve_post
      parameters:
        - $ref: '#/components/parameters/trace_id'
        - $ref: '#/components/parameters/scenario_key'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/bank_account_currency'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    $ref: '#/components/schemas/status'
                  message:
                    type: string
                  data:
                    $ref: '#/components/schemas/bank_account_resolve_response'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/400'
        '401':
          description: Unauthorised request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/403'
components:
  parameters:
    trace_id:
      description: >-
        A unique identifier to track this operation. It must be between 12 and
        255 characters in length.
      in: header
      name: X-Trace-Id
      schema:
        type: string
        minLength: 12
        maxLength: 255
      example: acb123e4-f567-4a8b-9c0d-1e2f3a4b5c6d
    scenario_key:
      in: header
      name: X-Scenario-Key
      schema:
        type: string
        minimum: 1
        maximum: 1000
      description: >-
        An optional scenario key that can be used to simulate specific behaviors
        or test different scenarios within the API. Providing this header allows
        you to trigger predefined responses or alter data based on the key's
        value, which can be useful for testing, development, or demonstrating
        specific functionalities. The key should be a string of 1 to 1000
        characters.
      example: scenario:auth_redirect
  schemas:
    '400':
      description: Bad Request
      type: object
      properties:
        status:
          type: string
          nullable: false
          enum:
            - failed
        error:
          type: object
          properties:
            type:
              type: string
              example: REQUEST_NOT_VALID
            code:
              type: string
              example: '10400'
            message:
              type: string
              nullable: true
              example: Request is not valid
            validation_errors:
              type: array
              items:
                type: object
                properties:
                  field_name:
                    type: string
                    example: amount
                  message:
                    type: string
                    example: must not be null
          description: >-
            The request cannot be accepted and is malformed and/or missing
            required parameters.
    '401':
      description: Unauthorized
      type: object
      properties:
        status:
          type: string
          nullable: false
          enum:
            - failed
        message:
          type: string
          nullable: true
          description: Invalid API key provided
          example: UNAUTHORIZED
        error:
          type: object
          properties:
            type:
              type: string
              example: UNAUTHORIZED
            code:
              type: string
              example: '10401'
            message:
              type: string
              example: unauthorized
    '403':
      description: Forbidden
      type: object
      properties:
        status:
          type: string
          nullable: false
          enum:
            - failed
        message:
          type: string
          description: API key doesn't have permission to access this resource
        error:
          type: object
          properties:
            type:
              type: string
              example: FORBIDDEN
            code:
              type: string
              example: '10403'
            message:
              type: string
              example: Forbidden
    bank_account_currency:
      type: object
      oneOf:
        - $ref: '#/components/schemas/ngn_bank_account_resolve'
        - $ref: '#/components/schemas/gbp_bank_account_resolve'
        - $ref: '#/components/schemas/usd_bank_account_resolve'
      discriminator:
        propertyName: currency
        mapping:
          NGN: '#/components/schemas/ngn_bank_account_resolve'
          GBP: '#/components/schemas/gbp_bank_account_resolve'
          USD: '#/components/schemas/usd_bank_account_resolve'
    status:
      type: string
      nullable: false
      enum:
        - success
        - failed
    bank_account_resolve_response:
      type: object
      properties:
        bank_code:
          type: string
          description: The bank code.
          example: '044'
        account_number:
          type: string
          description: The bank account number.
          example: '0690000040'
        account_name:
          type: string
          description: The bank account name.
          example: Alex James
    ngn_bank_account_resolve:
      type: object
      properties:
        currency:
          type: string
          description: ISO 4217 currency code.
          default: NGN
          example: NGN
          readOnly: true
        account:
          allOf:
            - $ref: '#/components/schemas/bank_account_resolve'
            - type: object
              properties:
                code:
                  type: string
                  description: The bank code.
                  example: '044'
                  pattern: ^\d+$
                  minLength: 3
                  maxLength: 10
                number:
                  type: string
                  description: The bank account number.
                  example: '0690000040'
                  minLength: 10
                  maxLength: 10
                  pattern: ^\d+$
      required:
        - currency
        - account
    gbp_bank_account_resolve:
      type: object
      properties:
        currency:
          type: string
          description: ISO 4217 currency code.
          default: GBP
          example: GBP
          readOnly: true
        account:
          $ref: '#/components/schemas/gbp_bank_account_type'
      required:
        - currency
        - account
    usd_bank_account_resolve:
      type: object
      properties:
        currency:
          type: string
          description: ISO 4217 currency code.
          default: USD
          example: USD
          readOnly: true
        account:
          $ref: '#/components/schemas/usd_bank_country'
      required:
        - currency
        - account
    bank_account_resolve:
      type: object
      properties:
        code:
          type: string
          description: The bank or institution code.
          example: '044'
          minLength: 2
          maxLength: 10
        number:
          type: string
          description: The bank account number.
          example: '0690000031'
          minLength: 4
          maxLength: 50
      required:
        - code
        - number
    gbp_bank_account_type:
      oneOf:
        - $ref: '#/components/schemas/gbp_bank_individual'
        - $ref: '#/components/schemas/gbp_bank_corporate'
      discriminator:
        propertyName: type
        mapping:
          individual: '#/components/schemas/gbp_bank_individual'
          corporate: '#/components/schemas/gbp_bank_corporate'
    usd_bank_country:
      oneOf:
        - $ref: '#/components/schemas/usd_bank_ng'
      discriminator:
        propertyName: country
        mapping:
          NG: '#/components/schemas/usd_bank_ng'
    gbp_bank_individual:
      allOf:
        - $ref: '#/components/schemas/bank_account_resolve'
        - type: object
          properties:
            type:
              type: string
              description: The bank account type.
              default: personal
              readOnly: true
            name:
              allOf:
                - $ref: '#/components/schemas/name'
                - type: object
                  required:
                    - first
                    - last
          required:
            - type
            - name
    gbp_bank_corporate:
      allOf:
        - $ref: '#/components/schemas/bank_account_resolve'
        - type: object
          properties:
            type:
              type: string
              description: The bank account type.
              default: corporate
              example: corporate
              readOnly: true
            business_name:
              type: string
              description: The business name attached to the bank account.
              example: Ajadi & Sons Ltd.
              minLength: 2
              maxLength: 50
          required:
            - type
            - business_name
    usd_bank_ng:
      allOf:
        - $ref: '#/components/schemas/bank_account_resolve'
        - type: object
          properties:
            country:
              type: string
              default: NG
              readOnly: true
          required:
            - country
    name:
      type: object
      description: The Customer's full name.
      properties:
        first:
          type: string
          description: The Customer's first name.
          example: King
          pattern: ^(?![ ,.'-]*$)[A-Za-z ,.'-]{2,50}$
          x-pattern-message: >-
            must be between 2 and 50 characters long, cannot be empty, only
            spaces, or only symbols, and can only contain letters, spaces,
            commas, periods, apostrophes, or hyphens.
        middle:
          type: string
          description: The Customer's middle name.
          example: Leo
          pattern: ^(?![ ,.'-]*$)[A-Za-z ,.'-]{2,50}$
          x-pattern-message: >-
            must be between 2 and 50 characters long, cannot be empty, only
            spaces, or only symbols, and can only contain letters, spaces,
            commas, periods, apostrophes, or hyphens.
        last:
          type: string
          description: The Customer's last name.
          example: LeBron
          pattern: ^(?![ ,.'-]*$)[A-Za-z ,.'-]{2,50}$
          x-pattern-message: >-
            must be between 2 and 50 characters long, cannot be empty, only
            spaces, or only symbols, and can only contain letters, spaces,
            commas, periods, apostrophes, or hyphens.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````